org.jfree.chart.entity

## Class ContourEntity

- java.lang.Object
- - org.jfree.chart.entity.ChartEntity
  - - org.jfree.chart.entity.ContourEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

Deprecated.
This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public class ContourEntity
    extends ChartEntity
    implements java.lang.Cloneable, java.io.Serializable

Represents an item on a contour chart.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContourEntity(java.awt.Shape area, java.lang.String toolTipText)` Deprecated. Constructor for ContourEntity.
`ContourEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText)` Deprecated. Constructor for ContourEntity.

### Method Summary

Methods
`java.lang.Object` `clone()` Deprecated. Returns a clone of the entity.
`boolean` `equals(java.lang.Object obj)` Deprecated. Tests the entity for equality with an arbitrary object.
`int` `getIndex()` Deprecated. Returns the index.
`void` `setIndex(int index)` Deprecated. Sets the index.

### Methods inherited from class org.jfree.chart.entity.ChartEntity

`getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, hashCode, setArea, setToolTipText, setURLText, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContourEntity

    public ContourEntity(java.awt.Shape area,
                 java.lang.String toolTipText)

Deprecated.
Constructor for ContourEntity.

Parameters:
  `area` - the area.
  `toolTipText` - the tooltip text.

#### ContourEntity

    public ContourEntity(java.awt.Shape area,
                 java.lang.String toolTipText,
                 java.lang.String urlText)

Deprecated.
Constructor for ContourEntity.

Parameters:
  `area` - the area.
  `toolTipText` - the tooltip text.
  `urlText` - the URL text.

### Method Detail

#### getIndex

    public int getIndex()

Deprecated.
Returns the index.

Returns:
  The index.

#### setIndex

    public void setIndex(int index)

Deprecated.
Sets the index.

Parameters:
  `index` - the index.

#### equals

    public boolean equals(java.lang.Object obj)

Deprecated.
Tests the entity for equality with an arbitrary object.

Overrides:
  `equals` in class `ChartEntity`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Deprecated.
Returns a clone of the entity.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `ChartEntity`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if cloning is not supported.